## r-cran-hypergeo 1.2

=== DESCRIPTION ===
Package: hypergeo
Title: The Gauss Hypergeometric Function
Version: 1.2-14
Authors@R: person(given=c("Robin", "K.", "S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
Depends: R (>= 3.1.0),
Imports: elliptic (>= 1.3-5), contfrac (>= 1.1-9), deSolve
Description: The Gaussian hypergeometric function for complex numbers.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-2
NeedsCompilation: no
Packaged: 2025-03-24 11:15:34 UTC; rhankin
Repository: CRAN
Date/Publication: 2025-03-24 14:30:02 UTC
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)

## r-cran-hypergeo 1.2-11

=== debian/changelog ===
r-cran-hypergeo (1.2-11-1) unstable; urgency=low

  * Initial release. (Closes: #797247)

 -- Jonathon Love <jon@thon.cc>  Sun, 30 Aug 2015 23:15:02 +0200

=== debian/control ===
Source: r-cran-hypergeo
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-elliptic,
               r-cran-contfrac,
               r-cran-desolve
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-hypergeo.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-hypergeo.git
Homepage: http://cran.r-project.org/package=hypergeo

Package: r-cran-hypergeo
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         r-base,
         r-cran-elliptic,
         r-cran-contfrac,
         r-cran-desolve
Description: GNU R package providing the Gaussian hypergeometric for complex numbers
 The r-cran-hypergeo package is a GNU R package providing the Gaussian
 hypergeometric function for complex numbers.

## r-cran-hypergeo 1.2-13

=== debian/changelog ===
r-cran-hypergeo (1.2-13-3) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Architecture: all (instead of any)

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 18:13:00 +0200

r-cran-hypergeo (1.2-13-2) unstable; urgency=medium

  * Team upload.
  * Secure URI in watch file
  * Convert from cdbs to dh-r
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Tue, 13 Mar 2018 16:23:11 +0100

r-cran-hypergeo (1.2-13-1) unstable; urgency=low

  * New upstream 

 -- Jonathon Love <jon@thon.cc>  Thu, 28 Apr 2016 12:58:54 +1000

=== debian/control ===
Source: r-cran-hypergeo
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-elliptic,
               r-cran-contfrac,
               r-cran-desolve
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hypergeo
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hypergeo.git
Homepage: http://cran.r-project.org/package=hypergeo

Package: r-cran-hypergeo
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package providing the Gaussian hypergeometric for complex numbers
 The r-cran-hypergeo package is a GNU R package providing the Gaussian
 hypergeometric function for complex numbers.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/hypergeo_([\d\.-]*).tar.gz

## r-cran-hypergeo 1.2-14

=== debian/changelog ===
r-cran-hypergeo (1.2-14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Dec 2025 10:27:56 +0900

r-cran-hypergeo (1.2-13-4) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Homepage field.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 07:24:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,21 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Jonathon Love <jon@thon.cc>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-elliptic,
                r-cran-contfrac,
-               r-cran-desolve
-Standards-Version: 4.1.4
+               r-cran-desolve,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-hypergeo
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-hypergeo.git
-Homepage: http://cran.r-project.org/package=hypergeo
+Homepage: https://cran.r-project.org/package=hypergeo
+Rules-Requires-Root: no
 
 Package: r-cran-hypergeo
 Architecture: all
